<?php 

function mostrar_tabla($tabla,$titulo="",$nivel=0) {
      // Parámetros
      //    - $tabla = tabla donde mostrar el contenido
      //    - $titulo = titulo a mostrar
      //    - $nivel = nivel de visualización
      if ($titulo = "") { // Si hay un titulo, se muestra.
        echo "<br /><b>".$titulo."</b><br />";
      }
      // Verificar si hay de los datos.
      if (isset($tabla)) { // hay los datos
        // Recorrer la tabla que se pasa como argumento.
        reset ($tabla);
        foreach ($tabla as $clave => $valor) {
           echo str_pad('',12*$nivel,'&nbsp;').
            htmlentities($clave).' =';
          // Mostrar el valor
          if (is_array($valor)) { // verifica si est un tabla 
            echo'<br />';
            // Llamada recursiva a mostrar_tabla para mostrar la tabla
            mostrar_tabla($valor,'',$nivel+1);
          } else { // es un valor escalar
            // Mostrar el valor.
            echo htmlentities($valor).'<br />';
          }
        }
      } else { // sin datos
        echo'<br />';
      }
}
// Declaración de los tablas.
$tab_caracteristica_delPozo = array("apellidos" => "PABLO","profesion" =>   "ministro","edad" => 50);
$tab_caracteristica_alonso = array("apellidos" => "ROBERTO","profesion" => "agricultor","edad" => 45);
$tab_persona['CAROLINA'] = $tab_caracteristica_delPozo;
$tab_persona['LOPEZ'] = $tab_caracteristica_alonso;

// Mostrar una tabla a dos dimensions (Nombre/Características).
mostrar_tabla($tab_persona,'Nombre/Características');
 


?>
